Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 611572 - app-admin/glance: support dev-python/pycryptodome
Summary: app-admin/glance: support dev-python/pycryptodome
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matthew Thode ( prometheanfire )
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: pycryptodome-tracker
  Show dependency tree
 
Reported: 2017-03-03 23:13 UTC by Michał Górny
Modified: 2017-12-25 01:07 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-03-03 23:13:39 UTC
See tracker.
Comment 1 Daniel Robbins 2017-12-22 23:22:04 UTC
As of pike-rc-1 release, glance uses cryptography instead of pycrypto.
Comment 2 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2017-12-23 06:20:29 UTC
so in may or so when queens comes out I'll deprecate ocata, and with it glance's pycrypto usage.

If someone wants to test glance with pycryptodome and has it passing upstream gate I'll use the patch, but it's not worth the effort.
Comment 3 Daniel Robbins 2017-12-25 01:07:48 UTC
Hey, I'm finding this cryptodome patching a good exercise and a decent amount of fun, so I'll take a look at it. Do you want to point me to a particular version that I should be focusing on? And yes, I see queens is the next openstack release due end of Feb 2018.